StarPU Internal Handbook

Data Fields
_starpu_node_ops Struct Reference

## Data Fields
copy_interface_func_t | copy_interface_to [STARPU_MPI_MS_RAM+1]
copy_data_t | copy_data_to [STARPU_MPI_MS_RAM+1]
copy2d_data_t | copy2d_data_to [STARPU_MPI_MS_RAM+1]
copy3d_data_t | copy3d_data_to [STARPU_MPI_MS_RAM+1]
void(* | wait_request_completion )(struct _starpu_async_channel *async_channel)
unsigned(* | test_request_completion )(struct _starpu_async_channel *async_channel)
int(* | is_direct_access_supported )(unsigned node, unsigned handling_node)
uintptr_t(* | malloc_on_node )(unsigned dst_node, size_t size, int flags)
void(* | free_on_node )(unsigned dst_node, uintptr_t addr, size_t size, int flags)
char * | name

The documentation for this struct was generated from the following file:

- node_ops.h